umbrello: IDChangeLog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
IDChangeLog Class Reference

`#include <idchangelog.h>`

## Classes
class | Point
class | PointArray

## Public Types
enum | SpecialIDs { NullID = -1000 }

## Public Member Functions
| IDChangeLog ()
| IDChangeLog (const IDChangeLog &Other)
| ~IDChangeLog ()
IDChangeLog & | operator= (const IDChangeLog &Other)
bool | operator== (const IDChangeLog &Other) const
void | addIDChange (Uml::ID::Type OldID, Uml::ID::Type NewID)
IDChangeLog & | operator+= (const IDChangeLog &Other)
Uml::ID::Type | findNewID (Uml::ID::Type OldID)
Uml::ID::Type | findOldID (Uml::ID::Type NewID)
void | removeChangeByNewID (Uml::ID::Type OldID)

## Private Member Functions
bool | findIDChange (Uml::ID::Type OldID, Uml::ID::Type NewID, uint &pos)

## Private Attributes
PointArray | m_LogArray

## Detailed Description

This class contains all the ID translations done for each UMLObject pasted. It contains for each old id its new assigned id.

Author
  Gustavo Madrigal Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Enumeration Documentation

## ◆ SpecialIDs

enum IDChangeLog::SpecialIDs

Enumerator
NullID | An impossible id value.

## Constructor & Destructor Documentation

## ◆ IDChangeLog() [1/2]

IDChangeLog::IDChangeLog | ( |  | ) |

Constructor.

## ◆ IDChangeLog() [2/2]

IDChangeLog::IDChangeLog | ( | const IDChangeLog & | Other | ) |

Copy constructor.

## ◆ ~IDChangeLog()

IDChangeLog::~IDChangeLog | ( |  | ) |

Deconstructor.

## Member Function Documentation

## ◆ addIDChange()

void IDChangeLog::addIDChange | ( | Uml::ID::Type | OldID,
|  | Uml::ID::Type | NewID
| ) |  |

## ◆ findIDChange()

bool IDChangeLog::findIDChange | ( | Uml::ID::Type | OldID,
|  | Uml::ID::Type | NewID,
|  | uint & | pos
| ) |  |
| private

## ◆ findNewID()

Uml::ID::Type IDChangeLog::findNewID | ( | Uml::ID::Type | OldID | ) |

Returns the new assigned ID of the object that had OldID as its previous id.

## ◆ findOldID()

Uml::ID::Type IDChangeLog::findOldID | ( | Uml::ID::Type | NewID | ) |

## ◆ operator+=()

IDChangeLog & IDChangeLog::operator+= | ( | const IDChangeLog & | Other | ) |

Appends another IDChangeLog to this instance of IDChangeLog and returns a reference to itself.

## ◆ operator=()

IDChangeLog & IDChangeLog::operator= | ( | const IDChangeLog & | Other | ) |

Overloaded '=' operator.

## ◆ operator==()

bool IDChangeLog::operator== | ( | const IDChangeLog & | Other | ) | const

Overloaded '==' operator.

## ◆ removeChangeByNewID()

void IDChangeLog::removeChangeByNewID | ( | Uml::ID::Type | OldID | ) |

## Member Data Documentation

## ◆ m_LogArray

PointArray IDChangeLog::m_LogArray
| private

The documentation for this class was generated from the following files:

- umbrello/clipboard/idchangelog.h
- umbrello/clipboard/idchangelog.cpp